Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.tsp
Class TimeStampRequest

    java.lang.Object
      org.bouncycastle.tsp.TimeStampRequest

All Implemented Interfaces:
  java.security.cert.X509Extension

    public class TimeStampRequest

extends java.lang.Object
implements java.security.cert.X509Extension

Base class for an RFC 3161 Time Stamp Request.

Constructor Summary
`TimeStampRequest(byte[] req)` Create a TimeStampRequest from the past in byte array.
`TimeStampRequest(java.io.InputStream in)` Create a TimeStampRequest from the past in input stream.
`TimeStampRequest(org.bouncycastle.asn1.tsp.TimeStampReq req)`

Method Summary
`boolean` | `getCertReq()`
`java.util.Set` | `getCriticalExtensionOIDs()`
`byte[]` | `getEncoded()` return the ASN.1 encoded representation of this object.
`byte[]` | `getExtensionValue(java.lang.String oid)`
`java.lang.String` | `getMessageImprintAlgOID()`
`byte[]` | `getMessageImprintDigest()`
`java.math.BigInteger` | `getNonce()`
`java.util.Set` | `getNonCriticalExtensionOIDs()`
`java.lang.String` | `getReqPolicy()`
`int` | `getVersion()`
`boolean` | `hasUnsupportedCriticalExtension()`
`void` | `validate(java.util.Set algorithms, java.util.Set policies, java.util.Set extensions, java.lang.String provider)` Validate the timestamp request, checking the digest to see if it is of an accepted type and whether it is of the correct length for the algorithm specified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeStampRequest

    public TimeStampRequest(org.bouncycastle.asn1.tsp.TimeStampReq req)

### TimeStampRequest

    public TimeStampRequest(byte[] req)
                     throws java.io.IOException

  Create a TimeStampRequest from the past in byte array.

  Parameters:
    `req` - byte array containing the request.
  Throws:
    `java.io.IOException` - if the request is malformed.

### TimeStampRequest

    public TimeStampRequest(java.io.InputStream in)
                     throws java.io.IOException

  Create a TimeStampRequest from the past in input stream.

  Parameters:
    `in` - input stream containing the request.
  Throws:
    `java.io.IOException` - if the request is malformed.

Method Detail

### getVersion

    public int getVersion()

### getMessageImprintAlgOID

    public java.lang.String getMessageImprintAlgOID()

### getMessageImprintDigest

    public byte[] getMessageImprintDigest()

### getReqPolicy

    public java.lang.String getReqPolicy()

### getNonce

    public java.math.BigInteger getNonce()

### getCertReq

    public boolean getCertReq()

### validate

    public void validate(java.util.Set algorithms,
                         java.util.Set policies,
                         java.util.Set extensions,
                         java.lang.String provider)
                  throws TSPException,
                         java.security.NoSuchProviderException

  Validate the timestamp request, checking the digest to see if it is of an accepted type and whether it is of the correct length for the algorithm specified.

  Parameters:
    `algorithms` - a set of String OIDS giving accepted algorithms.
    `policies` - if non-null a set of policies we are willing to sign under.
    `extensions` - if non-null a set of extensions we are willing to accept.
    `provider` - the provider to confirm the digest size against.
  Throws:
    `TSPException` - if the request is invalid, or processing fails.
    `java.security.NoSuchProviderException`

### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

  return the ASN.1 encoded representation of this object.

  Throws:
    `java.io.IOException`

### getExtensionValue

    public byte[] getExtensionValue(java.lang.String oid)

  Specified by:
    `getExtensionValue` in interface `java.security.cert.X509Extension`

### getNonCriticalExtensionOIDs

    public java.util.Set getNonCriticalExtensionOIDs()

  Specified by:
    `getNonCriticalExtensionOIDs` in interface `java.security.cert.X509Extension`

### getCriticalExtensionOIDs

    public java.util.Set getCriticalExtensionOIDs()

  Specified by:
    `getCriticalExtensionOIDs` in interface `java.security.cert.X509Extension`

### hasUnsupportedCriticalExtension

    public boolean hasUnsupportedCriticalExtension()

  Specified by:
    `hasUnsupportedCriticalExtension` in interface `java.security.cert.X509Extension`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD